Bug 171614 - vsftpd doesn't close its stdout or stderr before forking
Summary: vsftpd doesn't close its stdout or stderr before forking
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: vsftpd (Show other bugs)
(Show other bugs)
Version: 4.0
Hardware: All Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Radek Vokal
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 187538
TreeView+ depends on / blocked
 
Reported: 2005-10-24 12:42 UTC by Bastien Nocera
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

Fixed In Version: RHBA-2006-0250
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-22 16:30:57 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
vsftp-close-std-fds.patch (504 bytes, patch)
2005-10-24 12:42 UTC, Bastien Nocera
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2006:0250 normal SHIPPED_LIVE vsftpd bug fix update 2006-03-22 05:00:00 UTC

Description Bastien Nocera 2005-10-24 12:42:48 UTC
vsftpd-2.0.1-5.EL4.3-i38

When running vsftpd as a stand-alone FTP daemon (not in xinetd), vsftpd will not
close its stderr or stdout.
This makes "/etc/init.d/vsftpd start | tee" fail. The tee is used in scripts to
capture the output of the init script.

Comment 1 Bastien Nocera 2005-10-24 12:42:49 UTC
Created attachment 120304 [details]
vsftp-close-std-fds.patch

Comment 13 Red Hat Bugzilla 2006-03-22 16:30:58 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2006-0250.html



Note You need to log in before you can comment on or make changes to this bug.